interface IStringWorkerOptions<SetUpData = any, SendData = any, ReceiveData = SendData> {
    setup?: () => SetUpData;
    onmessage: (message: SendData, data: SetUpData) => ReceiveData;
}
declare class StringWorker<SetUpData = any, SendData = any, ReceiveData = SendData> {
    static version: string;
    private _worker;
    private _resolveMap;
    private _onMessageListeners;
    private _isOriginMessage;
    constructor(options: string | IStringWorkerOptions<SetUpData, SendData, ReceiveData>);
    postMessage(message: SendData, id?: string): Promise<ReceiveData>;
    onMessage(listener: (message: any) => void): void;
}

export { StringWorker as default };
